OpenVDB 3.2.0

Classes | Namespaces | Macros | Enumerations | Functions | Variables
version.h File Reference
`#include "Platform.h"`

Go to the source code of this file.

## Classes
struct | VersionId

## Namespaces
| openvdb
| openvdb::v3_2_0

## Macros
#define | OPENVDB_VERSION_NAME v3_2_0
#define | OPENVDB_LIBRARY_MAJOR_VERSION_NUMBER 3
#define | OPENVDB_LIBRARY_MINOR_VERSION_NUMBER 2
#define | OPENVDB_LIBRARY_PATCH_VERSION_NUMBER 0
#define | OPENVDB_LIBRARY_VERSION_STRING "3.2.0"
| Library version number string of the form "<major>.<minor>.<patch>". More...
#define | OPENVDB_LIBRARY_VERSION_NUMBER
| Library version number as a packed integer ("%02x%02x%04x", major, minor, patch) More...
#define | OPENVDB_USE_VERSION_NAMESPACE

## Enumerations
enum | { OPENVDB_FILE_VERSION_ROOTNODE_MAP = 213, OPENVDB_FILE_VERSION_INTERNALNODE_COMPRESSION = 214, OPENVDB_FILE_VERSION_SIMPLIFIED_GRID_TYPENAME = 215, OPENVDB_FILE_VERSION_GRID_INSTANCING = 216, OPENVDB_FILE_VERSION_BOOL_LEAF_OPTIMIZATION = 217, OPENVDB_FILE_VERSION_BOOST_UUID = 218, OPENVDB_FILE_VERSION_NO_GRIDMAP = 219, OPENVDB_FILE_VERSION_NEW_TRANSFORM = 219, OPENVDB_FILE_VERSION_SELECTIVE_COMPRESSION = 220, OPENVDB_FILE_VERSION_FLOAT_FRUSTUM_BBOX = 221, OPENVDB_FILE_VERSION_NODE_MASK_COMPRESSION = 222, OPENVDB_FILE_VERSION_BLOSC_COMPRESSION = 223, OPENVDB_FILE_VERSION_POINT_INDEX_GRID = 223 }
| Notable file format version numbers. More...

## Functions
const char * | getLibraryVersionString ()
| Return a library version number string of the form "<major>.<minor>.<patch>". More...

## Variables
const int32_t | OPENVDB_MAGIC = 0x56444220
| The magic number is stored in the first four bytes of every VDB file. More...
const uint32_t | OPENVDB_LIBRARY_MAJOR_VERSION = 3
const uint32_t | OPENVDB_LIBRARY_MINOR_VERSION = 2
const uint32_t | OPENVDB_LIBRARY_PATCH_VERSION = 0
const uint32_t | OPENVDB_LIBRARY_VERSION = (( 3 << 24) | (( 2 & 0xFF) << 16) | ( 0 & 0xFFFF))
| Library version number as a packed integer ("%02x%02x%04x", major, minor, patch) More...
const uint32_t | OPENVDB_FILE_VERSION = 223
| The current version number of the VDB file format. More...

## Macro Definition Documentation

## ◆ OPENVDB_LIBRARY_MAJOR_VERSION_NUMBER

#define OPENVDB_LIBRARY_MAJOR_VERSION_NUMBER 3

## ◆ OPENVDB_LIBRARY_MINOR_VERSION_NUMBER

#define OPENVDB_LIBRARY_MINOR_VERSION_NUMBER 2

## ◆ OPENVDB_LIBRARY_PATCH_VERSION_NUMBER

#define OPENVDB_LIBRARY_PATCH_VERSION_NUMBER 0

## ◆ OPENVDB_LIBRARY_VERSION_NUMBER

#define OPENVDB_LIBRARY_VERSION_NUMBER

Value:
((OPENVDB_LIBRARY_MAJOR_VERSION_NUMBER << 24) | \
((OPENVDB_LIBRARY_MINOR_VERSION_NUMBER & 0xFF) << 16) | \
(OPENVDB_LIBRARY_PATCH_VERSION_NUMBER & 0xFFFF))
OPENVDB_LIBRARY_MAJOR_VERSION_NUMBER
#define OPENVDB_LIBRARY_MAJOR_VERSION_NUMBER
Definition: version.h:46
OPENVDB_LIBRARY_MINOR_VERSION_NUMBER
#define OPENVDB_LIBRARY_MINOR_VERSION_NUMBER
Definition: version.h:47
OPENVDB_LIBRARY_PATCH_VERSION_NUMBER
#define OPENVDB_LIBRARY_PATCH_VERSION_NUMBER
Definition: version.h:48

Library version number as a packed integer ("%02x%02x%04x", major, minor, patch)

## ◆ OPENVDB_LIBRARY_VERSION_STRING

#define OPENVDB_LIBRARY_VERSION_STRING "3.2.0"

Library version number string of the form "<major>.<minor>.<patch>".

This is a macro rather than a static constant because we typically want the compile-time version number, not the runtime version number (although the two are usually the same).

## ◆ OPENVDB_USE_VERSION_NAMESPACE

#define OPENVDB_USE_VERSION_NAMESPACE

Value:
namespace OPENVDB_VERSION_NAME {} \
using namespace OPENVDB_VERSION_NAME;
OPENVDB_VERSION_NAME
#define OPENVDB_VERSION_NAME
Definition: version.h:43

If OPENVDB_REQUIRE_VERSION_NAME is undefined, symbols from the version namespace are promoted to the top-level namespace (e.g., openvdb::v1_0_0::io::File can be referred to simply as openvdb::io::File). Otherwise, symbols must be fully namespace-qualified.

Note
  The empty namespace clause below ensures that OPENVDB_VERSION_NAME is recognized as a namespace name.

## ◆ OPENVDB_VERSION_NAME

#define OPENVDB_VERSION_NAME v3_2_0

The version namespace name for this library version

Fully-namespace-qualified symbols are named as follows: openvdb::vX_Y_Z::Vec3i, openvdb::vX_Y_Z::io::File, openvdb::vX_Y_Z::tree::Tree, etc., where X, Y and Z are OPENVDB_LIBRARY_MAJOR_VERSION, OPENVDB_LIBRARY_MINOR_VERSION and OPENVDB_LIBRARY_PATCH_VERSION, respectively (defined below).